Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80440 - octave buildrequires readline-devel
Summary: octave buildrequires readline-devel
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: octave
Version: phoebe
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-26 13:13 UTC by Jaakko R
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-10 17:57:26 UTC


Attachments (Terms of Use)

Description Jaakko R 2002-12-26 13:13:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i586; U;) Gecko/20020830

Description of problem:

On RH8.0, rebuilding octave-2.1.40-1.src.rpm from Phoebe requires
readline-devel, but rpmbuild doesn't recognize this requirement.

For octave, it is possible to compile without support for readline, but this is
not what is sought here.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpm -e readline-devel
2.rpmbuild --rebuild octave-2.1.40-1.src.rpm
3.
    

Actual Results:  During building it was claimed readline >= 4.2 needed, and then
buiding stopped.

Expected Results:  .i386.rpm should have been produced.

Additional info:

Comment 1 Lon Hohberger 2003-01-02 15:21:05 UTC
octave-2.1.40-2 should be in rawhide soon.  I assumed the desired operation was
to actually detect for readline-devel in the RPM build process and then produce
the following error, rather than partially build and fail:

error: Failed build dependencies:
        readline-devel is needed by octave-2.1.40-1



Note You need to log in before you can comment on or make changes to this bug.